﻿Public Class Builder

    Private Sub Builder_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Activated
        Me.Skirmish.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Skirmish\")
            Me.Skirmish.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Scrollbar.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Scrollbar\")
            Me.Scrollbar.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.PlayerVit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Player Vitals\")
            Me.PlayerVit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.OppVit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Opponent Vitals\")
            Me.OppVit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.ToolBar.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("ToolBar\")
            Me.ToolBar.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Attunement.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Attunement\")
            Me.Attunement.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Minimap.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Minimap\")
            Me.Minimap.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Craft.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Crafting\")
            Me.Craft.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Bags.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Bags\")
            Me.Bags.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.QuestLog.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Quest Log\")
            Me.QuestLog.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Vendor.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Vendor\")
            Me.Vendor.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Dressing.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Dressing room\")
            Me.Dressing.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Mail.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Mail\")
            Me.Mail.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Barter.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Barter\")
            Me.Barter.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Auction.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Auction\")
            Me.Auction.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Border.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Border\")
            Me.Border.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Stable.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Stable Master\")
            Me.Stable.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.LI.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Item Advancement\")
            Me.LI.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Inspect.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("InspectBio\")
            Me.Inspect.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Gambit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Gambit\")
            Me.Gambit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.ExVit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Escort Vitals\")
            Me.ExVit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next

    End Sub
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        'Start by looking for the MyDocuments folder
        Dim Ui As String
        Ui = My.Computer.FileSystem.SpecialDirectories.MyDocuments + "\The Lord of the Rings Online\ui\skins\UiBuilder\"

        'Now, begin the combine. First name the target file - whilst debugging this has an odd name
        Dim Final As String
        Final = "SkinDefinition.xml"
        'Now begin the file
        Dim objWriter As New System.IO.StreamWriter(Ui + Final)
        objWriter.WriteLine("<?xml version=""1.0"" encoding=""UTF-8""?>")
        objWriter.WriteLine("<opt>")
        'name it
        objWriter.WriteLine("<SkinName Name=""" + Me.MyUi.Text + """></SkinName>")
        objWriter.Close()
        'Here goes everything else!
        'Define a temp text holder
        Dim TempText As String


        'Toolbar
        TempText = "Null.xml"
        TempText = "Toolbar\" + Me.ToolBar.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Player Vitals
        TempText = "Null.xml"
        TempText = "Player Vitals\" + Me.PlayerVit.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Opponent Vitals
        TempText = "Null.xml"
        TempText = "Opponent Vitals\" + Me.OppVit.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Mail
        TempText = "Null.xml"
        TempText = "Mail\" + Me.Mail.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Border
        TempText = "Null.xml"
        TempText = "Border\" + Me.Border.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Scrollbar
        TempText = "Null.xml"
        TempText = "Scrollbar\" + Me.Scrollbar.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Crafting
        TempText = "Null.xml"
        TempText = "Crafting\" + Me.Craft.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Minimap
        TempText = "Null.xml"
        TempText = "Minimap\" + Me.Minimap.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Bags
        TempText = "Null.xml"
        TempText = "Bags\" + Me.Bags.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Dressup
        TempText = "Null.xml"
        TempText = "Dressing room\" + Me.Dressing.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Auction
        TempText = "Null.xml"
        TempText = "Auction\" + Me.Auction.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Inspect/Bio
        TempText = "Null.xml"
        TempText = "InspectBio\" + Me.Inspect.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'IA
        TempText = "Null.xml"
        TempText = "Item Advancement\" + Me.LI.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Stable Master
        TempText = "Null.xml"
        TempText = "Stable Master\" + Me.Stable.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'QuestLog
        TempText = "Null.xml"
        TempText = "Quest Log\" + Me.QuestLog.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Vendor
        TempText = "Null.xml"
        TempText = "Vendor\" + Me.Vendor.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Barter
        TempText = "Null.xml"
        TempText = "Barter\" + Me.Barter.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Skirmish
        TempText = "Null.xml"
        TempText = "Skirmish\" + Me.Skirmish.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Attunement
        TempText = "Null.xml"
        TempText = "Attunement\" + Me.Attunement.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Gambit
        TempText = "Null.xml"
        TempText = "Gambit\" + Me.Gambit.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Escort Vitals
        TempText = "Null.xml"
        TempText = "Escort Vitals\" + Me.ExVit.Text + ".xml"
        text_combine(Ui + TempText, Ui + Final)

        'Now to close the file
        text_combine(Ui + "end.xml", Ui + Final)

        MsgBox("Done!")
    End Sub
    Private Sub Bags_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Bags.SelectedIndexChanged
        'Bag Image
        If System.IO.File.Exists("Bags\preview\" + Me.Bags.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Bags\preview\" + Me.Bags.Text + ".jpg")
        End If
    End Sub

    Private Sub Craft_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Craft.SelectedIndexChanged
        'Display Image of Crafting Frame
        If System.IO.File.Exists("Crafting\preview\" + Me.Craft.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Crafting\preview\" + Me.Craft.Text + ".jpg")
        End If
    End Sub

    Private Sub PlayerVit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PlayerVit.SelectedIndexChanged
        'Display Image of Player Vitals
        If System.IO.File.Exists("Player Vitals\preview\" + Me.PlayerVit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Player Vitals\preview\" + Me.PlayerVit.Text + ".jpg")
        End If
    End Sub

    Private Sub OppVit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OppVit.SelectedIndexChanged
        'Display Image of Opponent Vitals
        If System.IO.File.Exists("Opponent Vitals\preview\" + Me.OppVit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Opponent Vitals\preview\" + Me.OppVit.Text + ".jpg")
        End If
    End Sub

    Private Sub ToolBar_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolBar.SelectedIndexChanged
        'Display Image of bar
        If System.IO.File.Exists("ToolBar\preview\" + Me.ToolBar.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("ToolBar\preview\" + Me.ToolBar.Text + ".jpg")
        End If
    End Sub

    Private Sub Minimap_SelectedIndexChanged_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Minimap.SelectedIndexChanged
        'MiniMap Image
        If System.IO.File.Exists("Minimap\preview\" + Me.Minimap.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Minimap\preview\" + Me.Minimap.Text + ".jpg")
        End If
    End Sub

    Private Sub About_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles About.Click
        Dim myForm As New About
        myForm.ShowDialog()
    End Sub

    Private Sub Scrollbar_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Scrollbar.SelectedIndexChanged
        If System.IO.File.Exists("Scrollbar\preview\" + Me.Scrollbar.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Scrollbar\preview\" + Me.Scrollbar.Text + ".jpg")
        End If
    End Sub

    Private Sub ExVit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExVit.SelectedIndexChanged
        If System.IO.File.Exists("Escort Vitals\preview\" + Me.ExVit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Escort Vitals\preview\" + Me.ExVit.Text + ".jpg")
        End If
    End Sub

    Private Sub Skirmish_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Skirmish.SelectedIndexChanged
        If System.IO.File.Exists("Skirmish\preview\" + Me.Skirmish.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Skirmish\preview\" + Me.Skirmish.Text + ".jpg")
        End If
    End Sub

    Private Sub QuestLog_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles QuestLog.SelectedIndexChanged
        If System.IO.File.Exists("Quest Log\preview\" + Me.QuestLog.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Quest Log\preview\" + Me.QuestLog.Text + ".jpg")
        End If
    End Sub

    Private Sub Vendor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Vendor.SelectedIndexChanged
        If System.IO.File.Exists("Vendor\preview\" + Me.Vendor.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Vendor\preview\" + Me.Vendor.Text + ".jpg")
        End If
    End Sub

    Private Sub Dressing_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Dressing.SelectedIndexChanged
        If System.IO.File.Exists("Dressing room\preview\" + Me.Dressing.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Dressing room\preview\" + Me.Dressing.Text + ".jpg")
        End If
    End Sub

    Private Sub Mail_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Mail.SelectedIndexChanged
        If System.IO.File.Exists("Mail\preview\" + Me.Mail.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Mail\preview\" + Me.Mail.Text + ".jpg")
        End If
    End Sub

    Private Sub Barter_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Barter.SelectedIndexChanged
        If System.IO.File.Exists("Barter\preview\" + Me.Barter.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Barter\preview\" + Me.Barter.Text + ".jpg")
        End If
    End Sub

    Private Sub Auction_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Auction.SelectedIndexChanged
        If System.IO.File.Exists("Auction\preview\" + Me.Auction.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Auction\preview\" + Me.Auction.Text + ".jpg")
        End If
    End Sub

    Private Sub Stable_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Stable.SelectedIndexChanged
        If System.IO.File.Exists("Stable Master\preview\" + Me.Stable.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Stable Master\preview\" + Me.Stable.Text + ".jpg")
        End If
    End Sub

    Private Sub Border_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Border.SelectedIndexChanged
        If System.IO.File.Exists("Border\preview\" + Me.Border.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Border\preview\" + Me.Border.Text + ".jpg")
        End If
    End Sub

    Private Sub LI_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LI.SelectedIndexChanged
        If System.IO.File.Exists("Item Advancement\preview\" + Me.LI.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Item Advancement\preview\" + Me.LI.Text + ".jpg")
        End If
    End Sub

    Private Sub Inspect_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Inspect.SelectedIndexChanged
        If System.IO.File.Exists("InspectBio\preview\" + Me.Inspect.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("InspectBio\preview\" + Me.Inspect.Text + ".jpg")
        End If
    End Sub

    Private Sub Gambit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Gambit.SelectedIndexChanged
        If System.IO.File.Exists("Gambit\preview\" + Me.Gambit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Gambit\preview\" + Me.Gambit.Text + ".jpg")
        End If
    End Sub

    Private Sub Attunement_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Attunement.SelectedIndexChanged
        If System.IO.File.Exists("Attunement\preview\" + Me.Attunement.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Attunement\preview\" + Me.Attunement.Text + ".jpg")
        End If
    End Sub
End Class
